#!/bin/sh

userresources=$HOME/.Xresources
usermodmap=$HOME/.Xmodmap
sysresources=/etc/X11/xinit/.Xresources
sysmodmap=/etc/X11/xinit/.Xmodmap

# merge in defaults and keymaps

if [ -f $sysresources ]; then

    xrdb -merge $sysresources

fi

if [ -f $sysmodmap ]; then
    xmodmap $sysmodmap
fi

if [ -f "$userresources" ]; then

    xrdb -merge "$userresources"

fi

if [ -f "$usermodmap" ]; then
    xmodmap "$usermodmap"
fi

# start some nice programs

if [ -d /etc/X11/xinit/xinitrc.d ] ; then
 for f in /etc/X11/xinit/xinitrc.d/?*.sh ; do
  [ -x "$f" ] && . "$f"
 done
 unset f
fi

# nividia config, note that nvidia and nvidia-prime were needed
# it seems modules and xorg confs were not due to there being an intel
# integrated card, not sure how the desktop will react though

HOST=$(cat /etc/hostname)
if [ "$HOST" == "archmetabox" ] ; then
	# this is specifically for the laptop so check hostname
	xrandr --setprovideroutputsource modesetting NVIDIA-G0
	xrandr --auto
fi

